package com.zd.laboratory.domain.vo;

import com.zd.laboratory.domain.LabBuilding;
import com.zd.laboratory.domain.LabSubject;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * 违规记录VO
 *
 * @Author: zhoupan
 * @Date: 2021/09/07/15:17
 * @Description:
 */
@ApiModel("违规记录表")
public class LabBuildingVO extends LabBuilding {

//    public LabBuildingVO(List <Map <String, Object>> floorList){
//        this.floorList = floorList;
//    }

    public List<Map<String, Object>> getFloorList() {
        return floorList;
    }

    public void setFloorList(List<Map<String, Object>> floorList) {
        this.floorList = floorList;
    }

    private List<Map<String, Object>> floorList = new ArrayList<>();

    @ApiModelProperty("是否显示实验室下的危险源，true显示，false不显示")
    private Boolean showHazard;

    public Boolean getShowHazard() {
        return showHazard;
    }

    public void setShowHazard(Boolean showHazard) {
        this.showHazard = showHazard;
    }
}
